%define name    xnee
%define version 3.05
%define release %mkrel 1
%define __libtoolize /bin/true

Summary: Record, distribute and replay X protocol data
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Sound
URL: http://www.gnu.org/software/xnee/
Source: ftp://ftp.gnu.org/gnu/xnee/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk2-devel 
BuildRequires: libtool
BuildRequires: pkgconfig 
BuildRequires: GConf2-devel 
BuildRequires: libgnomeui2_0-devel
BuildRequires: libpanel-applet-devel
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %name < %version

%description
Xnee can record, distribute, and replay X (X11) protocol data. This is 
useful for automated tests of applications or benchmarking of applications. 
Think of it as a robot.


#german
%description -l de
Xnee kann aufnehmen, verteilen und wiedergeben X (X11)-Protokoll-Daten. Dies ist nützlich 
für die automatisierte Tests von Anwendungen oder Benchmarking von Anwendungen. 
Betrachten Sie es als ein Roboter.

%prep
%setup -q


%build
%configure2_5x 

%make

%install
rm -rf %{buildroot}
%makeinstall_std


# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Xnee
Comment=Record, distribute and replay X protocol data
Exec=gnee
Icon=xnee.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;AudioVideo;Audio;Recorder;X-MandrivaLinux-Multimedia-Sound;
EOF

convert %{buildroot}%{_datadir}/pixmaps/xnee.png -resize 48 \
%{buildroot}%{_datadir}/pixmaps/xnee.png
rm -f %{buildroot}%_libdir/{*.a,*.la}

%clean
rm -rf %{buildroot}

%post
%update_menus


%postun
%clean_menus

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING FAQ NEWS README TODO
%{_bindir}/cnee
%{_bindir}/gnee
%{_libdir}/bonobo/servers/pnee.server
%{_libdir}/gnome-panel/pnee
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
%{_datadir}/info
%{_datadir}/man/man1/*.1.bz2
%{_datadir}/applications/*.desktop

%changelog
* Fri Dec 25 2009 slick50 <lxgator@gmail.com> 3.05-1pclos2010
- 3.05
- fix build requires GConf2-devel

* Sat Dec 19 2009 slick50 <lxgator@gmail.com> 3.04-1pclos2010
- initial pkg
